Loading...
Searching...
No Matches
HL7HierarchicDesignatorMacro Class Reference

Class representing the HL7 V2 Hierarchic Designator Macro. More...

Inheritance diagram for HL7HierarchicDesignatorMacro:

## Public Member Functions

| HL7HierarchicDesignatorMacro (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| HL7HierarchicDesignatorMacro (IODComponent *parent=NULL)
| Constructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of macro.
virtual OFCondition | getLocalNamespaceEntityID (OFString &value, const signed long pos=0) const
| Get Local Namespace Entity ID.
virtual OFCondition | getUniversalEntityID (OFString &value, const signed long pos=0) const
| Get Universal Entity ID.
virtual OFCondition | getUniversalEntityIDType (OFString &value, const signed long pos=0) const
| Get Universal Entity ID Type.
virtual OFCondition | setLocalNamespaceEntityID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Local Namespace Entity ID.
virtual OFCondition | setUniversalEntityID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Universal Entity ID.
virtual OFCondition | setUniversalEntityIDType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Universal Entity ID Type.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the HL7 V2 Hierarchic Designator Macro.

## Constructor & Destructor Documentation

## HL7HierarchicDesignatorMacro() [1/2]

HL7HierarchicDesignatorMacro::HL7HierarchicDesignatorMacro | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = NULL )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.
  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## HL7HierarchicDesignatorMacro() [2/2]

HL7HierarchicDesignatorMacro::HL7HierarchicDesignatorMacro | ( | IODComponent * | parent = NULL | ) |

Constructor.

Parameters

  parent | The parent of the IOD component (NULL if none or unknown)

References IODComponent::IODComponent().

## Member Function Documentation

## getLocalNamespaceEntityID()

virtual OFCondition HL7HierarchicDesignatorMacro::getLocalNamespaceEntityID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Local Namespace Entity ID.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## getName()

virtual OFString HL7HierarchicDesignatorMacro::getName | ( |  | ) | const

virtual

Get name of macro.

Returns
  Name of the module ("HL7HierarchicDesignatorMacro")

Implements IODComponent.

## getUniversalEntityID()

virtual OFCondition HL7HierarchicDesignatorMacro::getUniversalEntityID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Universal Entity ID.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## getUniversalEntityIDType()

virtual OFCondition HL7HierarchicDesignatorMacro::getUniversalEntityIDType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Universal Entity ID Type.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## setLocalNamespaceEntityID()

virtual OFCondition HL7HierarchicDesignatorMacro::setLocalNamespaceEntityID | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Local Namespace Entity ID.

Parameters

  value | Value to be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if setting was successful, error otherwise

## setUniversalEntityID()

virtual OFCondition HL7HierarchicDesignatorMacro::setUniversalEntityID | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Universal Entity ID.

Parameters

  value | Value to be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if setting was successful, error otherwise

## setUniversalEntityIDType()

virtual OFCondition HL7HierarchicDesignatorMacro::setUniversalEntityIDType | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )

virtual

Set Universal Entity ID Type.

Parameters

  value | Value to be set
  checkValue | If OFTrue, value is checked for validity

Returns
  EC_Normal if setting was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0